Iceweasel Upgrade kept back?

Old threads created long before the LMDE forum restructuring

Iceweasel Upgrade kept back?

Postby newfie on Thu Nov 11, 2010 1:35 pm

Code: Select all
The following packages have been kept back:
  iceweasel
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.


Any way around this? dist-upgrade doesn't help either.
User avatar
newfie
Level 2
Level 2
 
Posts: 96
Joined: Fri Nov 20, 2009 2:47 pm

Linux Mint is funded by ads and donations.
 

Re: Iceweasel Upgrade kept back?

Postby azathoth on Thu Nov 11, 2010 4:36 pm

That is indicating an unresolvable dependency. Are you using the testing or sid repos and what version do you have currently installed?

edit: I should also ask about outside repos. Some, such as Hadret are for Sid and installing things from there or other Sid repos will take you to dead ends like that if you are using testing. If that is the case you will need to wait until the testing repos catch up to the Iceweasel version you are trying to upgrade to. For example the version currently in the Sid repos is 3.5.15-1 which would require an xulrunner equal to or greater than 1.9.1.14, etc. (there are a number of others as well)
arch | kernel26-lqx | kde 4.7.0 & xfce 4.8.1(tiling)
"Sacred cows make the best hamburger." ~ Mark Twain
MyLast.fm
User avatar
azathoth
Level 3
Level 3
 
Posts: 130
Joined: Thu Aug 05, 2010 7:09 am
Location: Portland, Oregon


Return to Archive

Who is online

Users browsing this forum: No registered users and 3 guests